All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.net.connect
Class ConnectException

    com.sas.net.connect.ConnectException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ConnectLogException

    public class ConnectException

The ConnectException class provides information about a SAS/CONNECT driver for Java error.

Each ConnectException provides the following:

- A string describing the error. This is used as the Java Exception message, and is available via the getMessage() method.
- An error code.

See Also:
  Serialized Form

Constructor Summary
`ConnectException()` No-argument constructor.
`ConnectException(int code, java.lang.String reason)` Constructs a ConnectException object.
`ConnectException(java.lang.String reason)` Constructs a ConnectException object.
`ConnectException(java.lang.String message, java.lang.Throwable nestedException)` Wrapper constructor.
`ConnectException(java.lang.Throwable nestedException)` Wrapper constructor.

Method Summary
`int` | `getErrorCode()` Gets the exception code.

Constructor Detail

### ConnectException

    public ConnectException(int code,
                            java.lang.String reason)

  Constructs a ConnectException object.

  Parameters:
    `reason` - A description of the exception.
    `code` - A specific exception code.

### ConnectException

    public ConnectException(java.lang.String reason)

  Constructs a ConnectException object.

  Parameters:
    `reason` - A description of the exception.

### ConnectException

    public ConnectException()

  No-argument constructor.

### ConnectException

    public ConnectException(java.lang.Throwable nestedException)

  Wrapper constructor.

  Parameters:
    `nestedException` - exception being wrapped

### ConnectException

    public ConnectException(java.lang.String message,
                            java.lang.Throwable nestedException)

  Wrapper constructor.

  Parameters:
    `message` - a message to include in the exception.
    `nestedException` - an exception being wrapped.

Method Detail

### getErrorCode

    public int getErrorCode()

  Gets the exception code.

  Returns:
    The ConnectException's code value.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.